class CreatePProductRefs < ActiveRecord::Migration[6.0]
  def change
    create_table :p_product_refs do |t|
      t.string :ref
      t.integer :p_product_id
      t.decimal :ct_price_ht,   :precision => 14,   :scale => 2
      t.string :cc_name
      t.string :ac_name 
      t.decimal :weight,   :precision => 14,   :scale => 2
      t.string :ct_sub_name
      t.integer :cc_p_product_cat_id
      t.integer :ac_p_product_cat_id
      t.string :uv
      t.string :capacite
      
      t.string :cc_sub_cat_names
      t.string :ac_sub_cat_names
      t.string :cc_cat_name
      t.string :ac_cat_name
      
      
      t.timestamps
    end
  end
end
